Bug 4088 - Невозможно установить irssi-perl-0.8.9-alt1.i586.rpm из-за: `perl(Irssi.pm) >= 0:20011001 нужен для irssi-perl-0.8.9-alt1`
: Невозможно установить irssi-perl-0.8.9-alt1.i586.rpm из-за: `perl(Irssi.pm) >...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/irssi-perl)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-05 17:44 by
Modified: 2005-09-05 03:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-05 17:44:43
[16:36:53 stiblo@pc346 stiblo]$sudo rpm -Uh
/mnt/disk/Sisyphus/i586/RPMS.classic/irssi-perl-0.8.9-alt1.i586.rpm
ошибка: неудовлетворенные зависимости:
        perl(Irssi.pm) >= 0:20011001 нужен для irssi-perl-0.8.9-alt1
        perl(Irssi.pm) >= 0:20020101.025 нужен для irssi-perl-0.8.9-alt1
        perl(Irssi.pm) >= 0:20020120 нужен для irssi-perl-0.8.9-alt1
        perl(Irssi.pm) >= 0:20020324 нужен для irssi-perl-0.8.9-alt1

Причина в том, что в некоторых файлах в irssi-0.8.9/scripts присутствуют строки
вида:
use Irssi 20011001;

Есть предложение заменить всё это на 
use Irssi;
------- Comment #1 From 2004-05-27 17:48:00 -------
fixed in irssi-0.8.9-alt2
------- Comment #2 From 2004-05-27 17:49:04 -------
Fixed in irssi-0.8.9-alt2
------- Comment #3 From 2004-06-25 11:16:26 -------
в alt3 исправлено